dbio_be.h File Reference
`#include <gwenhywfar/dbio.h>`

Go to the source code of this file.

## Typedefs

typedef GWEN_DBIO_CHECKFILE_RESULT(* | GWEN_DBIO_CHECKFILEFN) (GWEN_DBIO *dbio, const char *fname)
typedef int(* | GWEN_DBIO_EXPORTFN) (GWEN_DBIO *dbio, GWEN_SYNCIO *sio, GWEN_DB_NODE *db, GWEN_DB_NODE *params, uint32_t flags)
typedef int(* | GWEN_DBIO_IMPORTFN) (GWEN_DBIO *dbio, GWEN_SYNCIO *sio, GWEN_DB_NODE *db, GWEN_DB_NODE *params, uint32_t flags)

## Functions

GWENHYWFAR_API GWEN_PLUGIN * | GWEN_DBIO_Plugin_new (GWEN_PLUGIN_MANAGER *pm, const char *name, const char *fileName)
GWENHYWFAR_API void | GWEN_DBIO_Plugin_SetFactoryFn (GWEN_PLUGIN *pl, GWEN_DBIO_PLUGIN_FACTORYFN f)
Functions To Be Used By Inheritors
GWENHYWFAR_API GWEN_DBIO * | GWEN_DBIO_new (const char *name, const char *descr)
GWENHYWFAR_API void | GWEN_DBIO_SetCheckFileFn (GWEN_DBIO *dbio, GWEN_DBIO_CHECKFILEFN f)
GWENHYWFAR_API void | GWEN_DBIO_SetExportFn (GWEN_DBIO *dbio, GWEN_DBIO_EXPORTFN f)
GWENHYWFAR_API void | GWEN_DBIO_SetImportFn (GWEN_DBIO *dbio, GWEN_DBIO_IMPORTFN f)

## Typedef Documentation

## GWEN_DBIO_CHECKFILEFN

typedef GWEN_DBIO_CHECKFILE_RESULT(* GWEN_DBIO_CHECKFILEFN) (GWEN_DBIO *dbio, const char *fname)

Definition at line 52 of file dbio_be.h.

## GWEN_DBIO_EXPORTFN

typedef int(* GWEN_DBIO_EXPORTFN) (GWEN_DBIO *dbio, GWEN_SYNCIO *sio, GWEN_DB_NODE *db, GWEN_DB_NODE *params, uint32_t flags)

Definition at line 46 of file dbio_be.h.

## GWEN_DBIO_IMPORTFN

typedef int(* GWEN_DBIO_IMPORTFN) (GWEN_DBIO *dbio, GWEN_SYNCIO *sio, GWEN_DB_NODE *db, GWEN_DB_NODE *params, uint32_t flags)

Definition at line 40 of file dbio_be.h.

## Function Documentation

## GWEN_DBIO_new()

GWENHYWFAR_API GWEN_DBIO * GWEN_DBIO_new | ( | const char * | name,
|  | const char * | descr )

Creates the base object which is to be extended by the inheritor.

References GWENHYWFAR_API.

## GWEN_DBIO_Plugin_new()

GWENHYWFAR_API GWEN_PLUGIN * GWEN_DBIO_Plugin_new | ( | GWEN_PLUGIN_MANAGER * | pm,
|  | const char * | name,
|  | const char * | fileName )

References GWENHYWFAR_API.

## GWEN_DBIO_Plugin_SetFactoryFn()

GWENHYWFAR_API void GWEN_DBIO_Plugin_SetFactoryFn | ( | GWEN_PLUGIN * | pl,
|  | GWEN_DBIO_PLUGIN_FACTORYFN | f )

References GWENHYWFAR_API.

## GWEN_DBIO_SetCheckFileFn()

GWENHYWFAR_API void GWEN_DBIO_SetCheckFileFn | ( | GWEN_DBIO * | dbio,
|  | GWEN_DBIO_CHECKFILEFN | f )

## GWEN_DBIO_SetExportFn()

GWENHYWFAR_API void GWEN_DBIO_SetExportFn | ( | GWEN_DBIO * | dbio,
|  | GWEN_DBIO_EXPORTFN | f )

Sets the export function for this kind of GWEN_DBIO.

References GWENHYWFAR_API.

## GWEN_DBIO_SetImportFn()

GWENHYWFAR_API void GWEN_DBIO_SetImportFn | ( | GWEN_DBIO * | dbio,
|  | GWEN_DBIO_IMPORTFN | f )

Sets the import function for this kind of GWEN_DBIO.

References GWENHYWFAR_API.